Check Virtual Account Status and Details
The virtual account inquiry endpoint can be used primarily for virtual account status check as well as information purposes.
- Scenario 1: request_id (applicable only for reservation API (verb: POST) request_ids))
- Scenario 2: virtual_account
- Scenario 3: virtual_account, branch_code
- Scenario 4: request_id and virtual_account (preference will be given to virtual_account and the request_id will be ignored)
Authentication
All CitiConnect APIs use the oAuth2 authentication scheme, which requires a bearer token to authenticate your API call. The Token URL includes the version of authentication used by this API. See the Citi Authentication API reference for information on requesting a token.
Headers
Encrypt the key values as below:
- Virtual account
Use your digital cert to do the encryption.
virtual_account:
In the GET operation: Virtual account that was reserved as well as activated are allowed
In DELETE operation: Virtual account that was activated is only allowed
Query parameters
Unique reference shared during CitiConnect API onboarding (client_id used during OAuth token generation).
request_id received as part of ‘Reservation API’ response.
Inquiry using the request_id parameter can be done only if the virtual account is not ACTIVATED yet.
Inquiry can be made up to 90 days from the date from which the request_id was created.
Response headers
The date when the API was stopped or will be stopped by the system owner. ISO 8601-1:2019 format.
The date when the API will no longer be supported by the system owner. The API will no longer be responsive and all REQUESTS will generate an error. ISO 8601-1:2019 format.
The remaining window before the rate limit resets. ISO 8601-1:2019.